--

Cylinders = {};

function Cylinders.prerequisitesPresent(specializations)
    return SpecializationUtil.hasSpecialization(Windrower, specializations);
end;

function Cylinders:load(xmlFile)


end;

function Cylinders:delete()

end;

function Cylinders:readStream(streamId, connection)
end;

function Cylinders:writeStream(streamId, connection)
	
end;

function Cylinders:mouseEvent(posX, posY, isDown, isUp, button)
end;

function Cylinders:keyEvent(unicode, sym, modifier, isDown)

end;

function Cylinders:update(dt)
		

end;

function Cylinders:updateTick(dt)


end;


function Cylinders:draw()	

end;

function Cylinders:onAttach(attacherVehicle)
end;

function Cylinders:onDetach()

end;

function Cylinders:onLeave()

end;

function Cylinders:onDetach()

end;